import { useColumns } from "./useTableColumns";
import React from "react";
import DataTable from "../../Layout/Dashboard/Table/DataTable";
import { useGetAllQuestion } from "../../api/Question";
import { useParams } from "react-router-dom";
import { ParamsEnum } from "../../enums/params";

const App: React.FC = () => {
  const {subject_id} = useParams<ParamsEnum>()
  const response = useGetAllQuestion({ subject_id:subject_id,  pagination: true  });

  return <DataTable response={response} useColumns={useColumns}  />;
};

export default App;
